Attribute VB_Name = "DeleteModule"
Option Explicit
#If Win16 Then
    Declare Sub SetWindowPos Lib "User" (ByVal hWnd As Integer, ByVal hWndInsertAfter As Integer, ByVal X As Integer, ByVal Y As Integer, ByVal cx As Integer, ByVal cy As Integer, ByVal wFlags As Integer)
#Else
    Declare Function SetWindowPos Lib "user32" (ByVal hWnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
#End If

Declare Function SetFileAttributes Lib "kernel32.dll" Alias "SetFileAttributesA" (ByVal lpFileName As String, ByVal dwFileAttributes As Long) As Long
Declare Function GetFileAttributes Lib "kernel32.dll" Alias "GetFileAttributesA" (ByVal lpFileName As String) As Long

Const FILE_ATTRIBUTE_ARCHIVE = &H20
Const FILE_ATTRIBUTE_COMPRESSED = &H800
Const FILE_ATTRIBUTE_DIRECTORY = &H10
Const FILE_ATTRIBUTE_HIDDEN = &H2
Const FILE_ATTRIBUTE_NORMAL = &H80
Const FILE_ATTRIBUTE_READONLY = &H1
Const FILE_ATTRIBUTE_SYSTEM = &H4

Private Function SetAttributes(ByVal FullFilePath As String, Optional ByVal FileAttributes As Long = &H20) As Long
    FullFilePath = Left(FullFilePath, 255)
    SetAttributes = SetFileAttributes(FullFilePath, FileAttributes)
End Function

Private Function GetAttributes(ByVal FullFilePath As String) As Integer
    GetAttributes = GetFileAttributes(FullFilePath)
End Function

Sub KeepOffTop(F As Form)
On Error Resume Next
Const SWP_NOMOVE = 2
Const SWP_NOSIZE = 1
Const HWND_TOPMOST = -1
Const HWND_NOTOPMOST = -2
SetWindowPos F.hWnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE
End Sub
Sub KeepOnTop(F As Form)
On Error Resume Next
Const SWP_NOMOVE = 2
Const SWP_NOSIZE = 1
Const HWND_TOPMOST = -1
Const HWND_NOTOPMOST = -2
SetWindowPos F.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE
End Sub

Function DeleteFile(Filename As String)
On Error GoTo ErrHandler
Dim FileL As Long, Fno As Integer, ByteArr() As Byte, A As Long, RFile As String
Dim Char As String, NewName As String, counter As Integer
Randomize
For counter = 1 To 10
    Char = Int(Rnd * 26) + 66
    NewName = NewName & Chr(Char)
Next counter
NewName = NewName & ".TMP"
NewName = GetPath(Filename) & NewName
Name Filename As NewName
RFile = NewName
Fno = FreeFile                                    'Get free file number

A = SetAttributes(RFile, 32)                      'Set attributes so it can be deleted
Open RFile For Binary As #Fno                     'open file to edit
    FileL = LOF(Fno)                              'get length of file
    ReDim ByteArr(FileL) As Byte                  'set byte array to length of file
    Put #Fno, , ByteArr                           'blank entire file
Close #Fno                                        'close file
Kill RFile                                        'delete file
Exit Function                                     'exit function
ErrHandler:
MsgBox "Error deleting file - '" & Filename & "'" 'show file error if there is a problem
End Function

Function CheckExist(Filename As String, List As ListView) As Boolean
On Error Resume Next
Dim Items() As String, counter As Integer, Found As Boolean
CheckExist = False
ReDim Items(1 To List.ListItems.Count) As String
Found = False

For counter = 1 To List.ListItems.Count
    Items(counter) = List.ListItems(counter).Text
    If LCase(Filename) = LCase(Items(counter)) Then Found = True
Next counter
If Found = True Then CheckExist = True
End Function

Private Function GetPath(Filepath As String) As String
Dim counter As Integer
For counter = Len(Filepath) To 1 Step -1
    If Mid(Filepath, counter, 1) = "\" Then
        GetPath = Mid(Filepath, 1, counter)
        Exit Function
    End If
Next counter
End Function
